Developers

API-Referenz für Entwickler

An API key is required for requests to be processed by the system. Once a user registers, an API key is automatically generated for this user.

アインシュティーク

Damit Anfragen vom System verarbeitet werden können, ist ein API-Schlüssel erforderlich.Sobald sich ein Benutzer registriert, wird automatisch ein API-Schlüssel für diesen Benutzer generiert.Der API-Schlüssel muss mit jeder Anfrage gesendet werden (siehe vollständiges Beispiel unten).Wenn der API-Schlüssel nicht gesendet wird oder abgelaufen ist, wird ein Fehler angezeigt.Bitte achten Sie darauf, Ihren API-Schlüssel geheim zu halten, um Missbrauch zu verhindern.

Authentifizierung

Um sich beim API-System zu authentifizieren, müssen Sie bei jeder Anfrage Ihren API-Schlüssel als Autorisierungstoken senden.Unten sehen Sie einen Beispielcode.

curl --location --request POST 'https://urlkai.com/api/account' \
--header 'Authorization: Bearer YOURAPIKEY' \
--header 'Content-Type: application/json' \ 

Bewertungslimit

Unsere API verfügt über einen Ratenbegrenzer zum Schutz vor Anfragenspitzen, um ihre Stabilität zu maximieren.Unser Ratenbegrenzer ist derzeit auf 30 Anfragen pro 1 Minute begrenzt.ご加入のプランによって料金が変更になる場合がありますので、予めご了承ください。

Neben der Antwort werden mehrere Header gesendet, die untersucht werden können, um verschiedene Informationen über die Anfrage zu ermitteln.

X-RateLimit-Limit: 30X-RateLimit-Remaining: 29X-RateLimit-Reset: TIMESTAMP

アントワートベハンドルング

Alle API-Antworten werden standardmäßig im JSON-Format zurückgegeben.Um diese in verwertbare Daten umzuwandeln, muss je nach Sprache die entsprechende Funktion verwendet werden.In PHP kann die Funktion json_decode() verwendet werden, um die Daten entweder in ein Objekt (Standard) oder ein Array (den zweiten Parameter auf true zu setzen) zu konvertieren.Es ist sehr wichtig, den Fehlerschlüssel zu überprüfen, da er Auskunft darüber gibt, ob ein Fehler aufgetreten ist oder nicht.Sie können auch den Header-Code überprüfen.

{
    "error": 1,
    "message": "An error occurred"
}

Benutzerdefinierter スプラッシュ

カスタムスプラッシュのリスト

取得 https://urlkai.com/api/splash?limit=2&page=1

To get Splash Pages via the API, you can use this endpoint. You can also filter data (See table for more info).

パラメーター ベシュライブン
極限 (オプション)ページあたりのデータ結果
ページ (オプション)現在のページリクエスト
curl --location --request GET 'https://urlkai.com/api/splash?limit=2&page=1' \
--header 'Authorization: Bearer YOURAPIKEY' \
--header 'Content-Type: application/json' \

Antwort des Servers

{
    "error": "0",
    "data": {
        "result": 2,
        "perpage": 2,
        "currentpage": 1,
        "nextpage": 1,
        "maxpage": 1,
        "splash": [
            {
                "id": 1,
                "name": "Product 1 Promo",
                "date": "2020-11-10 18:00:00"
            },
            {
                "id": 2,
                "name": "Product 2 Promo",
                "date": "2020-11-10 18:10:00"
            }
        ]
    }
}

CTAオーバーレイ

CTAオーバーレイの一覧表示

取得 https://urlkai.com/api/overlay?limit=2&page=1

API を介して cta オーバーレイを取得するには、このエンドポイントを使用できます。また、データをフィルタリングすることもできます(詳細については、表を参照してください)。

パラメーター ベシュライブン
極限 (オプション)ページあたりのデータ結果
ページ (オプション)現在のページリクエスト
curl --location --request GET 'https://urlkai.com/api/overlay?limit=2&page=1' \
--header 'Authorization: Bearer YOURAPIKEY' \
--header 'Content-Type: application/json' \

Antwort des Servers

{
    "error": "0",
    "data": {
        "result": 2,
        "perpage": 2,
        "currentpage": 1,
        "nextpage": 1,
        "maxpage": 1,
        "cta": [
            {
                "id": 1,
                "type": "message",
                "name": "Product 1 Promo",
                "date": "2020-11-10 18:00:00"
            },
            {
                "id": 2,
                "type": "contact",
                "name": "Contact Page",
                "date": "2020-11-10 18:10:00"
            }
        ]
    }
}

ファイル

リストファイル

取得 https://urlkai.com/api/files?limit=2&page=1

すべてのファイルを手に入れろ。名前で検索することもできます。

パラメーター ベシュライブン
名前 (任意)ファイル名で検索
極限 (オプション)ページあたりのデータ結果
ページ (オプション)現在のページリクエスト
curl --location --request GET 'https://urlkai.com/api/files?limit=2&page=1' \
--header 'Authorization: Bearer YOURAPIKEY' \
--header 'Content-Type: application/json' \

Antwort des Servers

{
    "error": 0,
    "result": 3,
    "perpage": 15,
    "currentpage": 1,
    "nextpage": null,
    "maxpage": 1,
    "list": [
        {
            "id": 1,
            "name": "My Photo",
            "downloads": 10,
            "shorturl": "https:\/\/urlkai.com\/wkDeQ",
            "date": "2022-08-09 17:00:00"
        },
        {
            "id": 2,
            "name": "My Documents",
            "downloads": 15,
            "shorturl": "https:\/\/urlkai.com\/ZSXNt",
            "date": "2022-08-10 17:01:00"
        },
        {
            "id": 3,
            "name": "My Files",
            "downloads": 5,
            "shorturl": "https:\/\/urlkai.com\/aYtOa",
            "date": "2022-08-11 19:01:00"
        }
    ]
}

ファイルをアップロードする

投稿 https://urlkai.com/api/files/upload/:filename?name=My+File

ファイルをアップロードするには、バイナリデータを投稿本体として送信します。URLに:filenameではなく拡張子を含むファイル名(例:brandkit.zip)を送る必要があります。以下のパラメータを送信することでオプションを設定できます。

パラメーター ベシュライブン
名前 (任意)ファイル名
習慣 (オプション)ランダムエイリアスの代わりにカスタムエイリアス。
ドメイン (オプション)カスタムドメイン
パスワード (オプション)パスワード保護
有効 期限 (任意)ダウンロード例の有効期限は2021年9月28日です
MaxDownloads (任意)最大ダウンロード数
curl --location --request POST 'https://urlkai.com/api/files/upload/:filename?name=My+File' \
--header 'Authorization: Bearer YOURAPIKEY' \
--header 'Content-Type: application/json' \
--data-raw '"BINARY DATA"'

Antwort des Servers

{
    "error": 0,
    "id": 1,
    "shorturl": "https:\/\/urlkai.com\/heZni"
}

カンパグネン

キャンペーンのリスト

取得 https://urlkai.com/api/campaigns?limit=2&page=1

API経由でキャンペーンを取得するには、このエンドポイントを使用できます。また、データをフィルタリングすることもできます(詳細については、表を参照してください)。

パラメーター ベシュライブン
極限 (オプション)ページあたりのデータ結果
ページ (オプション)現在のページリクエスト
curl --location --request GET 'https://urlkai.com/api/campaigns?limit=2&page=1' \
--header 'Authorization: Bearer YOURAPIKEY' \
--header 'Content-Type: application/json' \

Antwort des Servers

{
    "error": "0",
    "data": {
        "result": 2,
        "perpage": 2,
        "currentpage": 1,
        "nextpage": 1,
        "maxpage": 1,
        "campaigns": [
            {
                "id": 1,
                "name": "Sample Campaign",
                "public": false,
                "rotator": false,
                "list": "https:\/\/domain.com\/u\/admin\/list-1"
            },
            {
                "id": 2,
                "domain": "Facebook Campaign",
                "public": true,
                "rotator": "https:\/\/domain.com\/r\/test",
                "list": "https:\/\/domain.com\/u\/admin\/test-2"
            }
        ]
    }
}

Erstellen Sie eine Kampagne

投稿 https://urlkai.com/api/campaign/add

キャンペーンは、このエンドポイントを使用して追加できます。

パラメーター ベシュライブン
名前 (オプション)キャンペーン名
蛞蝓 (オプション)ローテータースラッグ
公共 (オプション)アクセス
curl --location --request POST 'https://urlkai.com/api/campaign/add' \
--header 'Authorization: Bearer YOURAPIKEY' \
--header 'Content-Type: application/json' \
--data-raw '{
    "name": "New Campaign",
    "slug": "new-campaign",
    "public": true
}'

Antwort des Servers

{
    "error": 0,
    "id": 3,
    "domain": "New Campaign",
    "public": true,
    "rotator": "https:\/\/domain.com\/r\/new-campaign",
    "list": "https:\/\/domain.com\/u\/admin\/new-campaign-3"
}
投稿 https://urlkai.com/api/campaign/:campaignid/assign/:linkid

短縮リンクは、このエンドポイントを使用してキャンペーンに割り当てることができます。エンドポイントには、キャンペーン ID と短縮リンク ID が必要です。

curl --location --request POST 'https://urlkai.com/api/campaign/:campaignid/assign/:linkid' \
--header 'Authorization: Bearer YOURAPIKEY' \
--header 'Content-Type: application/json' \

Antwort des Servers

{
    "error": 0,
    "message": "Link successfully added to the campaign."
}

Kampagne aktualisieren

置く https://urlkai.com/api/campaign/:id/update

キャンペーンを更新するには、PUTリクエストを介してJSONで有効なデータを送信する必要があります。データは、以下に示すように、リクエストの生の本文として送信する必要があります。次の例は、送信できるすべてのパラメーターを示していますが、すべてを送信する必要はありません (詳細については、表を参照してください)。

パラメーター ベシュライブン
名前 (必須)キャンペーン名
蛞蝓 (オプション)ローテータースラッグ
公共 (オプション)アクセス
curl --location --request PUT 'https://urlkai.com/api/campaign/:id/update' \
--header 'Authorization: Bearer YOURAPIKEY' \
--header 'Content-Type: application/json' \
--data-raw '{
    "name": "Twitter Campaign",
    "slug": "twitter-campaign",
    "public": true
}'

Antwort des Servers

{
    "error": 0,
    "id": 3,
    "domain": "Twitter Campaign",
    "public": true,
    "rotator": "https:\/\/domain.com\/r\/twitter-campaign",
    "list": "https:\/\/domain.com\/u\/admin\/twitter-campaign-3"
}

キャンペーンの削除

削除 https://urlkai.com/api/campaign/:id/delete

キャンペーンを削除するには、DELETE リクエストを送信する必要があります。

curl --location --request DELETE 'https://urlkai.com/api/campaign/:id/delete' \
--header 'Authorization: Bearer YOURAPIKEY' \
--header 'Content-Type: application/json' \

Antwort des Servers

{
    "error": 0,
    "message": "Campaign has been deleted successfully."
}

チャンネルのリスト

取得 https://urlkai.com/api/channels?limit=2&page=1

API 経由でチャネルを取得するには、このエンドポイントを使用できます。また、データをフィルタリングすることもできます(詳細については、表を参照してください)。

パラメーター ベシュライブン
極限 (オプション)ページあたりのデータ結果
ページ (オプション)現在のページリクエスト
curl --location --request GET 'https://urlkai.com/api/channels?limit=2&page=1' \
--header 'Authorization: Bearer YOURAPIKEY' \
--header 'Content-Type: application/json' \

Antwort des Servers

{
    "error": "0",
    "data": {
        "result": 2,
        "perpage": 2,
        "currentpage": 1,
        "nextpage": 1,
        "maxpage": 1,
        "channels": [
            {
                "id": 1,
                "name": "Channel 1",
                "description": "Description of channel 1",
                "color": "#000000",
                "starred": true
            },
            {
                "id": 2,
                "name": "Channel 2",
                "description": "Description of channel 2",
                "color": "#FF0000",
                "starred": false
            }
        ]
    }
}

チャンネルアイテムの一覧表示

取得 https://urlkai.com/api/channel/:id?limit=1&page=1

API を介して選択したチャネルのアイテムを取得するには、このエンドポイントを使用できます。また、データをフィルタリングすることもできます(詳細については、表を参照してください)。

パラメーター ベシュライブン
極限 (オプション)ページあたりのデータ結果
ページ (オプション)現在のページリクエスト
curl --location --request GET 'https://urlkai.com/api/channel/:id?limit=1&page=1' \
--header 'Authorization: Bearer YOURAPIKEY' \
--header 'Content-Type: application/json' \

Antwort des Servers

{
    "error": "0",
    "data": {
        "result": 2,
        "perpage": 2,
        "currentpage": 1,
        "nextpage": 1,
        "maxpage": 1,
        "items": [
            {
                "type": "links",
                "id": 1,
                "title": "My Sample Link",
                "preview": "https:\/\/google.com",
                "link": "https:\/\/urlkai.com\/google",
                "date": "2022-05-12"
            },
            {
                "type": "bio",
                "id": 1,
                "title": "My Sample Bio",
                "preview": "https:\/\/urlkai.com\/mybio",
                "link": "https:\/\/urlkai.com\/mybio",
                "date": "2022-06-01"
            }
        ]
    }
}

Erstellen Sie einen Kanal

投稿 https://urlkai.com/api/channel/add

チャネルは、このエンドポイントを使用して追加できます。

パラメーター ベシュライブン
名前 (必須)チャンネル名
形容 (オプション)チャネルの説明
色 (オプション)チャンネルバッジの色(HEX)
主演 (オプション)チャンネルにスターを付けるかどうか(trueまたはfalse)
curl --location --request POST 'https://urlkai.com/api/channel/add' \
--header 'Authorization: Bearer YOURAPIKEY' \
--header 'Content-Type: application/json' \
--data-raw '{
    "name": "New Channel",
    "description": "my new channel",
    "color": "#000000",
    "starred": true
}'

Antwort des Servers

{
    "error": 0,
    "id": 3,
    "name": "New Channel",
    "description": "my new channel",
    "color": "#000000",
    "starred": true
}

チャネルへのアイテムの割り当て

投稿 https://urlkai.com/api/channel/:channelid/assign/:type/:itemid

アイテムは、チャネルID、アイテムタイプ(リンク、バイオ、またはqr)、およびアイテムIDを使用してリクエストを送信することにより、任意のチャネルに割り当てることができます。

パラメーター ベシュライブン
:チャンネルID (必須)チャネルID
:種類 (必須)リンクまたはバイオまたはQR
:アイテムID (必須)アイテムID
curl --location --request POST 'https://urlkai.com/api/channel/:channelid/assign/:type/:itemid' \
--header 'Authorization: Bearer YOURAPIKEY' \
--header 'Content-Type: application/json' \

Antwort des Servers

{
    "error": 0,
    "message": "Item successfully added to the channel."
}

Kanal aktualisieren

置く https://urlkai.com/api/channel/:id/update

チャネルを更新するには、PUTリクエストを介してJSONで有効なデータを送信する必要があります。データは、以下に示すように、リクエストの生の本文として送信する必要があります。次の例は、送信できるすべてのパラメーターを示していますが、すべてを送信する必要はありません (詳細については、表を参照してください)。

パラメーター ベシュライブン
名前 (オプション)チャンネル名
形容 (オプション)チャネルの説明
色 (オプション)チャンネルバッジの色(HEX)
主演 (オプション)チャンネルにスターを付けるかどうか(trueまたはfalse)
curl --location --request PUT 'https://urlkai.com/api/channel/:id/update' \
--header 'Authorization: Bearer YOURAPIKEY' \
--header 'Content-Type: application/json' \
--data-raw '{
    "name": "Acme Corp",
    "description": "channel for items for Acme Corp",
    "color": "#FFFFFF",
    "starred": false
}'

Antwort des Servers

{
    "error": 0,
    "message": "Channel has been updated successfully."
}

チャネルの削除

削除 https://urlkai.com/api/channel/:id/delete

チャネルを削除するには、DELETE リクエストを送信する必要があります。すべてのアイテムも割り当て解除されます。

curl --location --request DELETE 'https://urlkai.com/api/channel/:id/delete' \
--header 'Authorization: Bearer YOURAPIKEY' \
--header 'Content-Type: application/json' \

Antwort des Servers

{
    "error": 0,
    "message": "Channel has been deleted successfully."
}

Konto erhalten

取得 https://urlkai.com/api/account

Um Informationen über das Konto zu erhalten, können Sie eine Anfrage an diesen Endpunkt senden, der Daten über das Konto zurückgibt.

curl --location --request GET 'https://urlkai.com/api/account' \
--header 'Authorization: Bearer YOURAPIKEY' \
--header 'Content-Type: application/json' \

Antwort des Servers

{
    "error": 0,
    "data": {
        "id": 1,
        "email": "[email protected]",
        "username": "sampleuser",
        "avatar": "https:\/\/domain.com\/content\/avatar.png",
        "status": "pro",
        "expires": "2022-11-15 15:00:00",
        "registered": "2020-11-10 18:01:43"
    }
}

Account aktualisieren

置く https://urlkai.com/api/account/update

Um Informationen zu dem Konto zu aktualisieren, können Sie eine Anfrage an diesen Endpunkt senden und er aktualisiert die Daten zu dem Konto.

curl --location --request PUT 'https://urlkai.com/api/account/update' \
--header 'Authorization: Bearer YOURAPIKEY' \
--header 'Content-Type: application/json' \
--data-raw '{
    "email": "[email protected]",
    "password": "NewPassword1"
}'

Antwort des Servers

{
    "error": 0,
    "message": "Account has been successfully updated."
}

Markendomänen

ブランドドメインの一覧表示

取得 https://urlkai.com/api/domains?limit=2&page=1

API を介してブランド化されたドメインを取得するには、このエンドポイントを使用できます。また、データをフィルタリングすることもできます(詳細については、表を参照してください)。

パラメーター ベシュライブン
極限 (オプション)ページあたりのデータ結果
ページ (オプション)現在のページリクエスト
curl --location --request GET 'https://urlkai.com/api/domains?limit=2&page=1' \
--header 'Authorization: Bearer YOURAPIKEY' \
--header 'Content-Type: application/json' \

Antwort des Servers

{
    "error": "0",
    "data": {
        "result": 2,
        "perpage": 2,
        "currentpage": 1,
        "nextpage": 1,
        "maxpage": 1,
        "domains": [
            {
                "id": 1,
                "domain": "https:\/\/domain1.com",
                "redirectroot": "https:\/\/rootdomain.com",
                "redirect404": "https:\/\/rootdomain.com\/404"
            },
            {
                "id": 2,
                "domain": "https:\/\/domain2.com",
                "redirectroot": "https:\/\/rootdomain2.com",
                "redirect404": "https:\/\/rootdomain2.com\/404"
            }
        ]
    }
}

ブランドドメインの作成

投稿 https://urlkai.com/api/domain/add

ドメインは、このエンドポイントを使用して追加できます。ドメインがサーバーを正しく指していることを確認してください。

パラメーター ベシュライブン
ドメイン (必須)httpまたはhttpsを含むブランドドメイン
リダイレクトルート (オプション)誰かがあなたのドメインにアクセスしたときのルートリダイレクト
リダイレクト404 (オプション)カスタム 404 リダイレクト
curl --location --request POST 'https://urlkai.com/api/domain/add' \
--header 'Authorization: Bearer YOURAPIKEY' \
--header 'Content-Type: application/json' \
--data-raw '{
    "domain": "https:\/\/domain1.com",
    "redirectroot": "https:\/\/rootdomain.com",
    "redirect404": "https:\/\/rootdomain.com\/404"
}'

Antwort des Servers

{
    "error": 0,
    "id": 1
}

Domäne aktualisieren

置く https://urlkai.com/api/domain/:id/update

ブランド化されたドメインを更新するには、PUTリクエストを介してJSONで有効なデータを送信する必要があります。データは、以下に示すように、リクエストの生の本文として送信する必要があります。次の例は、送信できるすべてのパラメーターを示していますが、すべてを送信する必要はありません (詳細については、表を参照してください)。

パラメーター ベシュライブン
リダイレクトルート (オプション)誰かがあなたのドメインにアクセスしたときのルートリダイレクト
リダイレクト404 (オプション)カスタム 404 リダイレクト
curl --location --request PUT 'https://urlkai.com/api/domain/:id/update' \
--header 'Authorization: Bearer YOURAPIKEY' \
--header 'Content-Type: application/json' \
--data-raw '{
    "redirectroot": "https:\/\/rootdomain-new.com",
    "redirect404": "https:\/\/rootdomain-new.com\/404"
}'

Antwort des Servers

{
    "error": 0,
    "message": "Domain has been updated successfully."
}

ドメインの削除

削除 https://urlkai.com/api/domain/:id/delete

ドメインを削除するには、DELETE リクエストを送信する必要があります。

curl --location --request DELETE 'https://urlkai.com/api/domain/:id/delete' \
--header 'Authorization: Bearer YOURAPIKEY' \
--header 'Content-Type: application/json' \

Antwort des Servers

{
    "error": 0,
    "message": "Domain has been deleted successfully."
}

ピクセル

ピクセルのリスト

取得 https://urlkai.com/api/pixels?limit=2&page=1

APIを介してピクセルコードを取得するには、このエンドポイントを使用できます。また、データをフィルタリングすることもできます(詳細については、表を参照してください)。

パラメーター ベシュライブン
極限 (オプション)ページあたりのデータ結果
ページ (オプション)現在のページリクエスト
curl --location --request GET 'https://urlkai.com/api/pixels?limit=2&page=1' \
--header 'Authorization: Bearer YOURAPIKEY' \
--header 'Content-Type: application/json' \

Antwort des Servers

{
    "error": "0",
    "data": {
        "result": 2,
        "perpage": 2,
        "currentpage": 1,
        "nextpage": 1,
        "maxpage": 1,
        "pixels": [
            {
                "id": 1,
                "type": "gtmpixel",
                "name": "GTM Pixel",
                "tag": "GA-123456789",
                "date": "2020-11-10 18:00:00"
            },
            {
                "id": 2,
                "type": "twitterpixel",
                "name": "Twitter Pixel",
                "tag": "1234567",
                "date": "2020-11-10 18:10:00"
            }
        ]
    }
}

ピクセルを作成する

投稿 https://urlkai.com/api/pixel/add

ピクセルは、このエンドポイントを使用して作成できます。ピクセルタイプとタグを送信する必要があります。

パラメーター ベシュライブン
種類 (必須) GTMPIXEL |ガピクセル |FBピクセル |アドワーズピクセル |LinkedInピクセル |ツイッターピクセル |アドロールピクセル |クオラピクセル |ピンタレスト |Bingの|スナップチャット |Redditの|TikTokの
名前 (必須)ピクセルのカスタム名
日 (必須)ピクセルのタグ
curl --location --request POST 'https://urlkai.com/api/pixel/add' \
--header 'Authorization: Bearer YOURAPIKEY' \
--header 'Content-Type: application/json' \
--data-raw '{
    "type": "gtmpixel",
    "name": "My GTM",
    "tag": "GTM-ABCDE"
}'

Antwort des Servers

{
    "error": 0,
    "id": 1
}

Pixel aktualisieren

置く https://urlkai.com/api/pixel/:id/update

ピクセルを更新するには、PUTリクエストを介してJSONで有効なデータを送信する必要があります。データは、以下に示すように、リクエストの生の本文として送信する必要があります。次の例は、送信できるすべてのパラメーターを示していますが、すべてを送信する必要はありません (詳細については、表を参照してください)。

パラメーター ベシュライブン
名前 (オプション)ピクセルのカスタム名
日 (必須)ピクセルのタグ
curl --location --request PUT 'https://urlkai.com/api/pixel/:id/update' \
--header 'Authorization: Bearer YOURAPIKEY' \
--header 'Content-Type: application/json' \
--data-raw '{
    "name": "My GTM",
    "tag": "GTM-ABCDE"
}'

Antwort des Servers

{
    "error": 0,
    "message": "Pixel has been updated successfully."
}

ピクセルの削除

削除 https://urlkai.com/api/pixel/:id/delete

ピクセルを削除するには、DELETEリクエストを送信する必要があります。

curl --location --request DELETE 'https://urlkai.com/api/pixel/:id/delete' \
--header 'Authorization: Bearer YOURAPIKEY' \
--header 'Content-Type: application/json' \

Antwort des Servers

{
    "error": 0,
    "message": "Pixel has been deleted successfully."
}

QRコード

QRコードを一覧表示する

取得 https://urlkai.com/api/qr?limit=2&page=1

Um Ihre QR-Codes über die API abzurufen, können Sie diesen Endpunkt verwenden.Sie können Daten auch filtern (weitere Informationen finden Sie in der Tabelle).

パラメーター ベシュライブン
極限 (オプション)ページあたりのデータ結果
ページ (オプション)現在のページリクエスト
curl --location --request GET 'https://urlkai.com/api/qr?limit=2&page=1' \
--header 'Authorization: Bearer YOURAPIKEY' \
--header 'Content-Type: application/json' \

Antwort des Servers

{
    "error": "0",
    "data": {
        "result": 2,
        "perpage": 2,
        "currentpage": 1,
        "nextpage": 1,
        "maxpage": 1,
        "qrs": [
            {
                "id": 2,
                "link": "https:\/\/urlkai.com\/qr\/a2d5e",
                "scans": 0,
                "name": "Google",
                "date": "2020-11-10 18:01:43"
            },
            {
                "id": 1,
                "link": "https:\/\/urlkai.com\/qr\/b9edfe",
                "scans": 5,
                "name": "Google Canada",
                "date": "2020-11-10 18:00:25"
            }
        ]
    }
}

Holen Sie sich einen einzigen QRコード

取得 https://urlkai.com/api/qr/:id

Um Details für einen einzelnen QR-Code über die API abzurufen, können Sie diesen Endpunkt verwenden.

curl --location --request GET 'https://urlkai.com/api/qr/:id' \
--header 'Authorization: Bearer YOURAPIKEY' \
--header 'Content-Type: application/json' \

Antwort des Servers

{
    "error": 0,
    "details": {
        "id": 1,
        "link": "https:\/\/urlkai.com\/qr\/b9edfe",
        "scans": 5,
        "name": "Google Canada",
        "date": "2020-11-10 18:00:25"
    },
    "data": {
        "clicks": 1,
        "uniqueClicks": 1,
        "topCountries": {
            "Unknown": "1"
        },
        "topReferrers": {
            "Direct, email and other": "1"
        },
        "topBrowsers": {
            "Chrome": "1"
        },
        "topOs": {
            "Windows 10": "1"
        },
        "socialCount": {
            "facebook": 0,
            "twitter": 0,
            "instagram": 0
        }
    }
}

Erstellen Sie einen QR-Code

投稿 https://urlkai.com/api/qr/add

QRコードを作成するには、POSTリクエストを介してJSONで有効なデータを送信する必要があります。データは、以下に示すように、リクエストの生の本文として送信する必要があります。次の例は、送信できるすべてのパラメーターを示していますが、すべてを送信する必要はありません (詳細については、表を参照してください)。

パラメーター ベシュライブン
種類 (必須) テキスト |vカード |リンク |Eメール |電話番号 |SMSの|Wi-Fi(無線LAN)
データ (必須)QRコード内に埋め込むデータ。データは、タイプに応じて文字列または配列にすることができます
バックグラウンド (オプション)RGBカラー(例:rgb(255,255,255)
前景 (オプション)RGB カラー (例: rgb(0,0,0))
ロゴ (オプション)ロゴへのパス:pngまたはjpg
名前 (オプション)QRコード名
curl --location --request POST 'https://urlkai.com/api/qr/add' \
--header 'Authorization: Bearer YOURAPIKEY' \
--header 'Content-Type: application/json' \
--data-raw '{
    "type": "link",
    "data": "https:\/\/google.com",
    "background": "rgb(255,255,255)",
    "foreground": "rgb(0,0,0)",
    "logo": "https:\/\/site.com\/logo.png",
    "name": "QR Code API"
}'

Antwort des Servers

{
    "error": 0,
    "id": 3,
    "link": "https:\/\/urlkai.com\/qr\/a58f79"
}

QRコードの更新

置く https://urlkai.com/api/qr/:id/update

Um einen QR-Code zu aktualisieren, müssen Sie gültige Daten in JSON über eine PUT-Anforderung senden.Die Daten müssen wie unten gezeigt als Rohtext Ihrer Anfrage gesendet werden.Das folgende Beispiel zeigt alle Parameter, die Sie senden können, aber Sie müssen nicht alle senden (siehe Tabelle für weitere Informationen).

パラメーター ベシュライブン
データ (必須)QRコード内に埋め込むデータ。データは、タイプに応じて文字列または配列にすることができます
バックグラウンド (オプション)RGBカラー(例:rgb(255,255,255)
前景 (オプション)RGB カラー (例: rgb(0,0,0))
ロゴ (オプション)ロゴへのパス:pngまたはjpg
curl --location --request PUT 'https://urlkai.com/api/qr/:id/update' \
--header 'Authorization: Bearer YOURAPIKEY' \
--header 'Content-Type: application/json' \
--data-raw '{
    "type": "link",
    "data": "https:\/\/google.com",
    "background": "rgb(255,255,255)",
    "foreground": "rgb(0,0,0)",
    "logo": "https:\/\/site.com\/logo.png"
}'

Antwort des Servers

{
    "error": 0,
    "message": "QR has been updated successfully."
}

Löschen Sie einen QRコード

削除 https://urlkai.com/api/qr/:id/delete

Um einen QR-Code zu löschen, müssen Sie eine DELETE-Anfrage senden.

curl --location --request DELETE 'https://urlkai.com/api/qr/:id/delete' \
--header 'Authorization: Bearer YOURAPIKEY' \
--header 'Content-Type: application/json' \

Antwort des Servers

{
    "error": 0,
    "message": "QR Code has been deleted successfully."
}